Bug 185277 - [wpe] update the TestExpectations for encrypted-media after some fixes
Summary: [wpe] update the TestExpectations for encrypted-media after some fixes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WPE WebKit (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 181855 185242 185244
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-03 16:30 PDT by Yacine Bandou
Modified: 2018-05-10 00:11 PDT (History)
4 users (show)

See Also:


Attachments
Patch (9.01 KB, patch)
2018-05-03 19:06 PDT, Yacine Bandou
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews115 for mac-sierra (3.16 MB, application/zip)
2018-05-04 02:05 PDT, Build Bot
no flags Details
Patch (9.01 KB, patch)
2018-05-07 08:20 PDT, Yacine Bandou
no flags Details | Formatted Diff | Diff
Patch (9.01 KB, patch)
2018-05-09 03:23 PDT, Yacine Bandou
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yacine Bandou 2018-05-03 16:30:45 PDT
Once the decryptor moved from AppendPipeline to Playbackpipeline and patches 185242 and 185244 will be fixed, 
WPT LayoutTests will no longer crash and some tests will pass.
Comment 1 Yacine Bandou 2018-05-03 19:06:40 PDT
Created attachment 339504 [details]
Patch
Comment 2 Build Bot 2018-05-04 02:05:26 PDT
Comment on attachment 339504 [details]
Patch

Attachment 339504 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7561756

New failing tests:
imported/w3c/web-platform-tests/html/syntax/parsing/html5lib_tests21.html
Comment 3 Build Bot 2018-05-04 02:05:28 PDT
Created attachment 339531 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 4 Xabier Rodríguez Calvar 2018-05-07 01:27:49 PDT
Comment on attachment 339504 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=339504&action=review

> LayoutTests/platform/wpe/TestExpectations:983
> +webkit.org/b/181225 media/encrypted-media/mock-MediaKeySystemAccess.html [ Crash ]
> +
> +[ Debug ] imported/w3c/web-platform-tests/encrypted-media/clearkey-mp4-setmediakeys-multiple-times-with-the-same-mediakeys.https.html [ Crash ]

Why are these two tests crashing?

I guess the other ones are timing out because they they go further without crashing, right?
Comment 5 Yacine Bandou 2018-05-07 01:57:22 PDT
(In reply to Xabier Rodríguez Calvar from comment #4)
> Comment on attachment 339504 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=339504&action=review
> 
> > LayoutTests/platform/wpe/TestExpectations:983
> > +webkit.org/b/181225 media/encrypted-media/mock-MediaKeySystemAccess.html [ Crash ]
> > +
> > +[ Debug ] imported/w3c/web-platform-tests/encrypted-media/clearkey-mp4-setmediakeys-multiple-times-with-the-same-mediakeys.https.html [ Crash ]
> 
> Why are these two tests crashing?

I did not investigate, its crashed before my pachese

> 
> I guess the other ones are timing out because they they go further without
> crashing, right?

Yes, most tests are waiting for "waitingforkey" event
Comment 6 Xabier Rodríguez Calvar 2018-05-07 02:21:17 PDT
(In reply to Yacine Bandou from comment #5)
> > Why are these two tests crashing?
> 
> I did not investigate, its crashed before my pachese
> 
> Yes, most tests are waiting for "waitingforkey" event

Ok, we'll land after the dependencies then.
Comment 7 Yacine Bandou 2018-05-07 08:20:44 PDT
Created attachment 339722 [details]
Patch
Comment 8 Yacine Bandou 2018-05-09 03:23:56 PDT
Created attachment 339949 [details]
Patch
Comment 9 Xabier Rodríguez Calvar 2018-05-10 00:11:49 PDT
Comment on attachment 339949 [details]
Patch

Clearing flags on attachment: 339949

Committed r231634: <https://trac.webkit.org/changeset/231634>
Comment 10 Xabier Rodríguez Calvar 2018-05-10 00:11:53 PDT
All reviewed patches have been landed.  Closing bug.